import React, { useMemo, useRef, useCallback, useState } from 'react'
import { PageHeaderWrapper } from '@ant-design/pro-layout'
import apis from '@/services/apis'
import QueryTable from '@/components/QueryTable'
import getSearchFields from './searchFields'
import getTableColumns from './tableColumns'

export default (props) => {
  const ref = useRef()
  const [page, setPage] = useState({current: 1, pageSize: 10})
  const onPublish = useCallback((row) => {
    //
  }, [])

  const onDelete = useCallback((row) => {

  }, [])

  const searchFields = useMemo(getSearchFields, [])
  const tableColumns = useMemo(() => {
    return getTableColumns({
      page,
      onPublish,
      onDelete,
    })
  }, [page])

  return (
    <PageHeaderWrapper>
      <QueryTable
        ref={ref}
        rowKey="buildingId"
        api={apis.building.getList}
        searchFields={searchFields}
        columns={tableColumns}
        onPageChange={(pg) => setPage(pg)}
      />
    </PageHeaderWrapper>
  )
}
